Skip to main content
GET
Core - List MCP gateways

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>

Page size between 1 and 200. Defaults to 25.

starting_after
string

Cursor for the page after the given item id. Mutually exclusive with ending_before.

ending_before
string

Cursor for the page before the given item id. Mutually exclusive with starting_after.

Case-insensitive match against the gateway key and display name.

status
enum<string>

Returns only gateways in this status.

Available options:
MCP_GATEWAY_STATUS_UNSPECIFIED,
MCP_GATEWAY_STATUS_ACTIVE,
MCP_GATEWAY_STATUS_DISABLED

Response

200 - application/json

OK

object
string

Always "list".

data
object[]

MCP gateways on the current page.

has_more
boolean

Whether further items exist beyond this page.